/* -Start. Denne kodebiten har blitt kodet av Halvor - Studentnr 233208 - Dato: 11.12.2020 */


/*Importerer rotfila for css-styling, dette gjøres istedefor å linke til flere filer i html/php
    fordi det er regnet som best practise å gjøre det på denne måten. */

@import "Imports/root.css";



#burgerbilde {
    width: 30px;
}

.listebakgrunn1 td {
    background-color: white;
}

.listebakgrunn2 {
    background-color: rgb(245, 245, 245);
}

.listebakgrunn1 td {
    padding-left: 10px;
}

.listebakgrunn2 td {
    padding-left: 10px;
}


#ingenTreffTekst {
    display: none;
    font-weight: bold;
    margin-left: 25px;
}

#idvalgdropdown {
    width: 250px;
}


#Velg-valg {
    display: none;
}

#reg-wrapper {
    width: auto;
    display: flex;
    flex-direction: column;
    /* border: solid 2px black; */
    justify-content: center;
}

.flexcolumncenter {
    display: flex;
    flex-direction: column;
    justify-content: center;
    
}
#admin_endringvalg_wrapper {
    display: block;
    /*     border: 3px solid orange; */
    width: auto;

}

#admin_endrevalg {
    display: none;
    /*     border: 2px solid purple; */
    width: 100%;
    padding: 10px;
}

#admin_nyttvalg {
    width: 100%;
    display: none;
    /*     border: 2px solid purple; */
    padding: 10px;
}

#admin_brukerliste {
    width: auto;
    padding: 10px;
    /*     border: 2px solid green; */
    display: block;
    text-align: center;
    
}

#admin_brukerliste tr {
    size: 1px;
}

#admin_annenliste {
    display: block;
    flex-direction: column;
    padding: 10px;
    /*     border: 1px solid black; */
    width: auto;
    background-color: white;
    font-size: 15px;
    text-align: center;
}



#admin_annenliste a {
    cursor: pointer;
}

#admin_kontrollpanel_wrapper {
    /*     border: 1px solid black; */
    width: auto;
    background-color: white;
}

#admin_annenliste_kontrollbakgrunn {
    background-color: rgb(245, 245, 245);
}

#admin_kontrollpanel {
    display: flex;
    justify-content: center;
    flex-direction: column;
    /* border:1px solid; */
}

#admin_kontrollpanel h3 {
    text-align: center;
}

#visBrukereTable_knapp {
    width: 45px;
}

#visBrukereTable_brukertype {
    width: 110px;
}

#visAlleTable {
    width: 300px;
    margin: auto;
}

#visBrukereTable {
    width: auto;
    margin: auto;
    font-size: 10px;
}


.midtstilt {
    text-align: center;
    margin-bottom: 30px;
    margin-top: 30px;
}


.velg-knapp {
    float: right;
    margin-right: 5px;
}


/* 
    
    .grid-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 10px;
    margin-right: 10px;
    background-color: var(--background);
    } */

.grid-main {
    margin-top: 20px;
}

.grid-footer {
    text-align: center;
    
}

#loginn-knapper {
    display: grid;
    grid-template-columns: 50% 50%;
}

.button {
    margin-top: 30px;
    margin-bottom: 30px;
}

#kandidat_bilde_left {
    max-width: 300px;
    min-width: 300px;
}

#nom-innledning {
    text-align: center;
    margin: 20px;
}

.sentrertheader {
    text-align: center;
}

#nominasjon-a {
    display: grid;
    justify-content: center;
    margin: 5px;
}

textarea {
    resize: none;
}

#nom-fornavn {
    width: 200px;
}

#nom-etternavn {
    width: 200px;
}

#nom-fakultet {
    width: 200px;
}

#nom-institutt {
    width: 200px;
}

#nom-textarea {
    resize: none;
    width: 200px;
    margin-top: 8px;
}

#nom-knapp {
    justify-items: center;
}

#nom-knappwrapper {
    display: grid;
    justify-content: center;
    align-content: space-around;
}

#nom-wrapper {
    display: flex;
    flex-direction: column;
    /* grid-template-rows: auto 30px; */
    /*         border: 3px solid green; */
}

#nom-tablewrapper {
    display: grid;
/*     background-color: white; */
    /*        margin-bottom: 30px; */
    padding-bottom: 20px;
    padding-top: 5px;
    font-size: 18px;
    /*         border: 2px solid black; */
    width: 350px;
}

#nom-formwrapper {
    /* grid-template-columns: 300px 300px; */
    display: none;
    height: auto;
    justify-content: center;
    width: auto;
    /*         border: 3px solid purple; */
}

.center {
    text-align: center;
}

#nom-søkepanelwrapper {
    display: flex;
    /*         border: 3px solid pink; */
    width: 350px;

    padding: 5px;
    justify-content: center;
}

#nom-brukerlistewrapper {
    display: flex;
    /*         border: 3px solid pink; */
    width: auto;
    justify-content: center;
}

#venstrekolonne {
    text-align: right;
}






/*     .sideskiller {
        margin-top: 20px;
        margin-bottom: 20px;
        border: 2px solid red;
    } */


/* -Slutt */

.grid-login-avatar {
    text-align: left;
}

#loginn-avatar {
    width: 120px;
    margin-top: 30px;
}

.logginn-wrapper {
    display: grid;
    grid-template-rows: auto auto;
    margin: auto;
    padding-top: 40px;
    justify-content: center;
    width: 200px;
}

#logginn-c {
    display: flex;
    justify-content: space-between;
}

.feilmelding {
    display: flex;
    justify-content: center;
}

.feilmelding p {
    color: red;
}


/* 
    
    
    
    
    
    */

#nav-status-container {
    display: flex;
    position: absolute;
    right: 50px;
    height: 60px;
    align-items: center;
    
    color: var(--d);
    font-style:italic;
}
#nav-status-container a {
    color: var(--a);
    font-style: normal;
}

#nav-brukernavn,
#nav-endrepass,
#nav-loggut {
    align-items: center;
    font-size: 20px;
    margin-right: 10px;
}

#nav-loggut {
    display: none;
}

#nav-endrepass {
    display: none;
}

#navmeny-endrepass {
    display: block;
}

#navmeny-loggutt {
    display: block;
}


/* Css for Drop-down */

.navigasjon {
    background-color: var(--b);
    box-shadow: 1px 1px 4px 0 rgba(0, 0, 0, .1);
    position: fixed;
    width: 100%;
    z-index: 3;
}

.navigasjon ul {
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
    background-color: white;
}

.navigasjon a {
    color: black;
}

.navigasjon li a {
    display: block;
    padding: 20px 20px;
    border-right: 1px solid #f4f4f4;
    text-decoration: none;
}

.navigasjon li a:hover {
    background-color: #FAE6B1;
}

.navigasjon .logo {
    display: block;
    float: left;
    font-size: 1.3em;
    padding: 10px 20px;
    text-decoration: none;
    color:var(--a);
}


.navigasjon .menu {
    clear: both;
    max-height: 0;
    transition: max-height .2s ease-out;
}

.navigasjon .menyikon {
    cursor: pointer;
    display: inline-block;
    float: right;
    padding: 28px 20px;
    position: relative;
    user-select: none;
}

.navigasjon .menyikon .navicon {
    background: var(--a);
    display: block;
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 18px;
}

.navigasjon .menyikon .navicon:before,
.navigasjon .menyikon .navicon:after {
    background: var(--a);
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
}

.navigasjon .menyikon .navicon:before {
    top: 5px;
}

.navigasjon .menyikon .navicon:after {
    top: -5px;
}

.navigasjon .menyknapp {
    display: none;
}

.navigasjon .menyknapp:checked~.menu {
    max-height: 500px;
}

.navigasjon .menyknapp:checked~.menyikon .navicon {
    background: transparent;
}

.navigasjon .menyknapp:checked~.menyikon .navicon:before {
    transform: rotate(-45deg);
}

.navigasjon .menyknapp:checked~.menyikon .navicon:after {
    transform: rotate(45deg);
}

.navigasjon .menyknapp:checked~.menyikon:not(.steps) .navicon:before,
.navigasjon .menyknapp:checked~.menyikon:not(.steps) .navicon:after {
    top: 0;
}


/* -Slutt */


/* -Start. Denne kodebiten har blitt kodet av Ketil - Studentnr 233221 - Dato: 17.11.2020 */

.grid-login-avatar {
    margin-top: 120px;
    margin-bottom: 20px;
}

.loggin-input {
    height: 25px;
    font-weight: bold;
    border: 2px solid;
    padding-left: 5px;
    padding-right: 5px;
}


/* -Slutt */


/* -Start. Denne kodebiten har blitt kodet av Kristian - Studentnr 233216 - Dato: 18.11.2020 */
/* Denne koden har blitt redigert av Kristian - Studentnr 233216 - Dato: 10.12.2020 */

.reg-skjema {
    display: grid;
    margin: auto;
    width: calc(70% - 20px);
    padding-top: 20px;
/*     border: 2px solid green; */
}

.kontroll-skjema {
    width: calc(70% - 20px);
/* border: 2px solid green; */
}


/* .loggin-input,
.velg-knapp,
.reg-input {
    height: 25px;
    font-weight: bold;
    border: 2px solid;
    padding-left: 5px;
    padding-right: 5px;
}
 */
.reglabel {
    
    display: block;
}

label {
    margin-top: 10px;
}

.regh1 {
    padding-bottom: 15px;
    padding-top: 15px;
}



.glemtpass-success {
    display: grid;
    padding: 15px;
    /*margin:auto;*/
    /*justify-content: center;*/
    margin-left: auto;
    margin-right: auto;
    margin-top: 60px;
    border-width:4px; 
    border-style:solid; 
    border-color:#31525B;
    border-radius: 20px;
    width: calc(85% - 0px);
    background-color: white;
}

.glemtpass-success-knapp {
    font-weight: bold;
    border: 2px solid;
    padding-top: 10px;
    padding-bottom: 10px;
    margin: auto;
    width: calc(85% - 0px);
    margin-top: 30px;
    margin-bottom: 20px;
    border-radius: 20px;
    cursor: pointer;
    /*margin-top: 20px;
    margin-bottom: 20px;
    margin-left: 15px;
    margin-right: 15px; */ 
}

.glemtpass-success-knapp:hover {
    background-color: #72a9bd
}


/* -Slutt */


/* -Start. Denne kodebiten har blitt kodet av Elin - Studentnr 233201 - Dato: 25.11.2020 */

.rundt-bilder-avstemming {
    display: flex;
    background-color: var(--b2);
    
    padding: 3px;
    margin-bottom: 10px;
}

.bilder-avstemming ul {
    /*
        border: 4px solid blue;
        */
    list-style: none;
    margin: 12px;
    background-color: #B3DEE5;
}

.tekst-bilder {
    padding: 15px;
    /*
        border: 4px solid red;
        */
}

.tekst-bilder h4 {
    font-weight: bold;
    text-align: left;
}

.bilde-avstemming {
    display: block;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0;
}

.bilder-avstemming ul {
    justify-content: center;
}


.bilder-avstemming {
    width: 350px;
    margin-left: auto;
    margin-right: auto;
}

.tekst-bilder p {
    padding: 10px;
}


/* Slutt */




/* -Start. Denne kodebiten har blitt kodet av Elin - Studentnr 233203 - Dato: 11.12.2020 */

.btn-avstemming {
    display: inline-block;
    background: var(--a);
    color: var(--color);
    text-decoration: none;
    padding: .5em 1em;
    border: 1px solid var(--shadow-color);
    margin: .5em 3px;
}

.btn-avstemming:hover {
    background: var(--c);
    color: var(--color);
    
}

.btn-avstemming {
    justify-self: center;
}

.bilder {
    display: grid;
}


/* -Slutt */


/* -Start. Denne kodebiten har blitt kodet av Henrik - Studentnr '233198' - Dato: 11.12.2020 */

.overskriftindex h2 {
    text-align: center;
    font-size: 25px;
    padding-top: 25px;
    padding-bottom: 25px;
}

#bilderhovedside ul {
    border: 1px solid black;
    list-style: none;
    margin: 12px;
    background-color: var(--a);
}

#bildeinnhold {
    padding: 15px;
}

#bildeinnhold h3 {
    text-align: center;
}

.minnebilda {
    display: block;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0;
}

.teksthovedside p {
    border: 2px solid black;
    padding: 10px;
    margin: 15px;
}

#avstemming_desktop_left {
    display: none;
}

#avstemming_desktop_right {
    display: none;
}
/* -Slutt */

.swipeknapp {
    display: none;
}

#mittkandidatur_profilbilde {
    min-width: 300px;
    max-width: 300px;
}

.reg-skjema {
    width: 300px;
}

#paragraf1, #paragraf2 {
    background-color: white;
}

#table_valginfo {
    
    width:80%;
    margin-left: auto;
    margin-right: auto;
}

.brukertype_select select {
    font-size: 10px;
}

.reg-form {
    display: grid;
    grid-template-rows: auto auto;
    margin: auto;
    width: 250px;
    overflow: hidden;
      
}

.tabulator-fokus:focus{
    background-color: #72a9bd;
}

.button-input-effekt:hover, .button-input:hover{
    background-color: #72a9bd;

}
.button-input-effekt{
    width: 180px;
}

@media screen and (min-width: 680px) {

    .overskriftindex {
        margin-left: 100px;
        margin-right: 100px;
    }

    #idvalg {
        text-align: center;
    }

    #table_valginfo {
        width: 400px;
    }

    #mittkandidatur_profilbilde {
        min-width: 600px;
        max-width: 600px;
        
    }

    .swipeknapp {
        display: inline;
    }

    #kandidat_bilde {
        max-width: 300px;
        min-width: 300px;
    }

    #admin_endringvalg_wrapper {
        display: block;
        /*     border: 3px solid orange; */
        width: auto;
        
        
    }

    #admin_endrevalg {
        display: none;
        /*     border: 2px solid purple; */
        width: 100%;
        padding: 10px;
    }

    #admin_nyttvalg {
        width: 100%;
        display: none;
        /*     border: 2px solid purple; */
        padding: 10px;
    }

    #admin_brukerliste {
        width: 600px;
        padding: 10px;
        /* border: 2px solid green; */
        display: block;

    }


    #admin_annenliste {
        display: flex;
        flex-direction: column;
        padding: 10px;
/*             border: 1px solid black;
 */        width: auto;
        font-size: 15px;
    }


    #admin_kontrollpanel_wrapper {
            /* border: 1px solid black; */
        width: auto;
        background-color: white;
    }

    #admin_annenliste_kontrollbakgrunn {
        background-color: rgb(245, 245, 245);
    }

    #admin_kontrollpanel {
        display: flex;
        justify-content: center;
        flex-direction: row;
        /* border:1px solid; */
    }

    #admin_kontrollpanel h3 {
        text-align: center;
    }

    .brukertype_select select {
        font-size: 12px;
    }

    #visBrukereTable_knapp {
        width: 45px;
    }

    #visBrukereTable_brukertype {
        width: 110px;
    }

    #visAlleTable {
        width: 300px;
        margin: auto;
    }

    #visBrukereTable {
        min-width: 570px;
        margin: auto;
        font-size: 14px;
    }

    #visBrukereTable tr {
        width: auto;
    }

    .midtstilt {
        text-align: center;
        margin-bottom: 30px;
        margin-top: 30px;
    }



    /* -Start. Denne kodebiten har blitt kodet av Halvor - Studentnr 233208 - Dato: 11.12.2020 */
    nav li {
        float: left;
    }
    #nav-status-container {
        right: 0px;
    }
    #nav-loggut {
        display: block;
    }
    #nav-endrepass {
        display: block;
    }
    #navmeny-endrepass {
        display: none;
    }
    #navmeny-loggut {
        display: none;
    }
    .navicon {
        display: none;
    }
    nav li a {
        padding: 20px 30px;
    }
    /* -Slutt */
    /* -Start. Denne kodebiten har blitt kodet av Halvor og Kristian - Studentnr 233208 og 233216 - Dato: 18.11.2020 */
    nav .menu {
        max-height: none;
    }
    nav .menyikon {
        display: none;
    }
    .navigasjon ul {
        overflow: hidden;
    }
    .navigasjon .menyikon {
        display: none;
    }
    .navigasjon .menu {
        clear: both;
        max-height: none;
        transition: max-height .2s ease-out;
    }
    body {
        grid-template-rows: 50px 79px auto 70px;
    }
    nav {
        grid-row-start: 2;
        grid-row-end: 3;
    }
    main {
        grid-row-start: 3;
        grid-row-end: 4;
    }
    footer {
        grid-row-start: 4;
        grid-row-end: 5;
        
    }
    /* -Slutt */
    /* -Start. Denne kodebiten har blitt kodet av Kristian - Studentnr 233216 - Dato: 18.11.2020 */
    /* Denne koden har blitt redigert av Kristian - Studentnr 233216 - Dato: 18.11.2020 */
    .reg-form {
        display: grid;
        grid-template-rows: auto auto;
        margin: auto;
        width: 250px;
        overflow: hidden;
       
        
    }
    
    .reg-skjema {
        width: 400px;
        margin-left: auto;
        margin-right: auto;
    }

    .kontroll-skjema {
        justify-content: center;
        width: 50%;
        padding: 10px;
        /* border: 2px solid green; */
        display: block
    }
/* 
    .kontroll-skjema2 {
        margin
    }
     */
    .kontroll-table {
        margin-top: 20px;
    }

    .regh1 {
        text-align: center;
        padding-bottom: 12px;
        padding-top: 0px;
    }

    .glemtpass-success {
        display: grid;
        padding: 15px;
        /*margin:auto;*/
        /*justify-content: center;*/
        margin-left: auto;
        margin-right: auto;
        margin-top: 60px;
        border-width:4px; 
        border-style:solid; 
        border-color:#31525B;
        border-radius: 20px;
        width: 700px;
        background-color: white;
    }
    
    .glemtpass-success-knapp {
        font-weight: bold;
        border: 2px solid;
        padding-top: 10px;
        padding-bottom: 10px;
        margin: auto;
        width: 300px;
        margin-top: 45px;
        margin-bottom: 30px;
        border-radius: 20px;
        cursor: pointer;
        /*margin-top: 20px;
        margin-bottom: 20px;
        margin-left: 15px;
        margin-right: 15px; */ 
    }

    /* -Slutt */
    .intro-avstemming h1,
    p {
        text-align: left;
        padding: 5px;
    }
    /* -Start. Denne kodebiten har blitt kodet av Elin - Studentnr 233203 - Dato: 11.12.2020 */
    .rundt-bilder-avstemming {
        display: flex;
        justify-content: center;
    }
    .bilder-avstemming ul {
        width: auto;
        
        /*
        Bildene bryter bedre med auto, MEN de blir ugjevne
        width: auto;width: 300px;*/
    }
    /*
    .bilder-avstemming li{
        display: flex;
        border: 4px solid purple;
        
       
    
    }
    */
    .bilder-avstemming {
        display: flex;
        width: auto;
    }
    .bilder {
        width: 300px;
        height: auto;
        margin: 0;
        padding: 0;
    }
    .bilde-avstemming {
        flex: 1;
    }
    .tekst-bilder {
        padding: 15px;
        font-size: medium;
    }
    .tekst-bilder p {
        justify-content: space-evenly;
    }
    /* -Slutt */
    /* -Start. Denne kodebiten har blitt kodet av Henrik - Studentnr 233198 - Dato: 11.12.2020 */
    #bilderhovedside {
        display: flex;
    }
    .minnebilda {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        flex-wrap: wrap;
    }
    #bilderhovedside {
        flex: 1;
        margin-left: 100px;
        margin-right: 100px;
    }
    #bildeinnhold {
        padding: 15px;
        width: 100%;
        font-size: medium;
        justify-content: left;
    }
    .teksthovedside {
        display: grid;
        grid-template-columns: 1, 1;
        margin-left: 100px;
        margin-right: 100px;
    }
    .teksthovedside p {
        border: 2px solid black;
        background-color: #eaeaea;
        padding: 10px;
    }
    #paragraf1 {
        grid-row: 1;
    }
    #paragraf2 {
        grid-row: 1;
    }
    /* -Slutt */
}